Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.validator
Class None

    java.lang.Object
      org.apache.tapestry5.validator.AbstractValidator<java.lang.Void,java.lang.Object>
          org.apache.tapestry5.validator.None

All Implemented Interfaces:
  Validator<java.lang.Void,java.lang.Object>

    public class None

extends AbstractValidator<java.lang.Void,java.lang.Object>

Constructor Summary
`None()`

Method Summary
`void` | `render(Field field, java.lang.Void constraintValue, MessageFormatter formatter, MarkupWriter writer, FormSupport formSupport)` Does nothing.
`void` | `validate(Field field, java.lang.Void constraintValue, MessageFormatter formatter, java.lang.Object value)` Does nothing.

Methods inherited from class org.apache.tapestry5.validator.AbstractValidator
`getConstraintType, getMessageKey, getValueType, isRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### None

    public None()

Method Detail

### render

    public void render(Field field,
                       java.lang.Void constraintValue,
                       MessageFormatter formatter,
                       MarkupWriter writer,
                       FormSupport formSupport)

  Does nothing.

  Parameters:
    `field` - the field which is currently being rendered
    `constraintValue` - the value used to constrain input
    `formatter` - validation message, in the appropriate locale
    `writer` - markup writer, allowing additional attributes to be written into the active element
    `formSupport` - used to add JavaScript

### validate

    public void validate(Field field,
                         java.lang.Void constraintValue,
                         MessageFormatter formatter,
                         java.lang.Object value)
                  throws ValidationException

  Does nothing.

  Parameters:
    `field` - the field for which a client submitted value is being validated
    `constraintValue` - the value used to constrain
    `formatter` - Validation messages, in the appropriate locale
    `value` - the translated value supplied by the user
  Throws:
    `ValidationException` - if the value violates the constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.